jQuery( document ).ready(function($) {

	function getUrlVars()
		{
		    var vars = [], hash;
		    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
		    for(var i = 0; i < hashes.length; i++)
		    {
		        hash = hashes[i].split('=');
		        vars.push(hash[0]);
		        vars[hash[0]] = hash[1];
		    }
		    return vars;
		}

	var mt_page = getUrlVars()["page"];

	if(mt_page ==  'mt-other-plugins'){
		jQuery(".fl_tabs_main li a").removeClass('active');
		jQuery(".fl_tabs_content .fl_general_content").css('display', 'none');
		jQuery(".fl_tabs_content .fl_general_content").removeClass('active');	
		jQuery(".fl_tabs_content #other-plugins").addClass('active');
		jQuery(".fl_tabs_main li .mt-other-tab").addClass('active');
		jQuery(".fl_tabs_content #other-plugins").css('display', 'block');
	}

	jQuery(document).on("click", ".fl_design_link", function($) {
			jQuery('.fl_tabs_content').css('height', '520px');
			var url = jQuery(this).attr('href');
			window.location.href = url;

	 });	

jQuery(document).on("click", ".fl_general_tab", function($) {
			jQuery('.fl_other_plugins_content').removeClass('active');
			jQuery('.fl_other_plugins_content').css('display', 'none');

	 });

/*
* Saving options values by ajax.
*/
jQuery(document).on("click", ".fl_options", function($) {

	Materialize.Toast.removeAll();

	/*
	* Show the dialog.
	*/
	Materialize.toast('Updating Values...', 3000, null);	

	
	/*
	* Getting clicked option value.
	*/	
	var fl_option = jQuery(this).data('option');

	/*
	* Intializing value variable.
	*/	
	var fl_value = null;

	/*
	* Checking clicked option status.
	*/
	if(jQuery(this).is(":checked")) {

		/*
		* Value will be true if checked.
		*/	
	    fl_value = true;
   }
	else{

		/*
		* Value will be false if not checked.
		*/	
	   	fl_value = false;
   }
	
	/*
	* Collecting data for ajax call.
	*/
	var data = { action : 'fl_save_'+fl_option,
				fl_value : fl_value
	}	
	/*
	* Making ajax request to save values.
	*/	
	jQuery.ajax({
		url : fl.ajax_url,
		type : 'post',
		data : data,
		dataType: 'json',
		success : function( response ) {

			Materialize.Toast.removeAll();

			/*
			* Show the dialog.
			*/
			Materialize.toast(response.data, 3000, null);	
			
				if(response.success){
					
				}
				else{

					}
		}

		});/* Ajax func ends here. */

 });/* fl_options func ends here. */
 });